GDBserver

Functions
gdb_signals.h File Reference
`#include "gdb/signals.h"`

Go to the source code of this file.

## Functions
int | gdb_signal_to_host_p (enum gdb_signal signo)
enum gdb_signal | gdb_signal_from_host (int)
int | gdb_signal_to_host (enum gdb_signal)
const char * | gdb_signal_to_symbol_string (enum gdb_signal sig)
const char * | gdb_signal_to_string (enum gdb_signal)
const char * | gdb_signal_to_name (enum gdb_signal)
enum gdb_signal | gdb_signal_from_name (const char *)

## Function Documentation

## ◆ gdb_signal_from_host()

enum gdb_signal gdb_signal_from_host | ( | int |  | ) |

Definition at line 116 of file signals.c.

References _, and error().

Referenced by get_detach_signal(), linux_wait_1(), lynx_wait_1(), mark_lwp_dead(), nto_wait(), spu_wait(), and win32_resume().

## ◆ gdb_signal_from_name()

enum gdb_signal gdb_signal_from_name | ( | const char * |  | ) |

Definition at line 91 of file signals.c.

References name, and signals.

## ◆ gdb_signal_to_host()

int gdb_signal_to_host | ( | enum | gdb_signal | ) |

Definition at line 639 of file signals.c.

References _, do_gdb_signal_to_host(), gdb_signal_to_name(), and warning().

Referenced by handle_v_cont(), linux_stabilize_threads(), mywait(), process_serial_event(), and target_continue().

## ◆ gdb_signal_to_host_p()

int gdb_signal_to_host_p | ( | enum gdb_signal | signo | ) |

Definition at line 631 of file signals.c.

References do_gdb_signal_to_host().

Referenced by handle_v_cont(), and process_serial_event().

## ◆ gdb_signal_to_name()

const char* gdb_signal_to_name | ( | enum | gdb_signal | ) |

Definition at line 78 of file signals.c.

References GDB_SIGNAL_FIRST, name, and signals.

Referenced by gdb_signal_to_host(), mywait(), and startup_inferior().

## ◆ gdb_signal_to_string()

const char* gdb_signal_to_string | ( | enum | gdb_signal | ) |

Definition at line 68 of file signals.c.

References GDB_SIGNAL_FIRST, and signals.

Referenced by get_detach_signal(), startup_inferior(), and win32_resume().

## ◆ gdb_signal_to_symbol_string()

const char* gdb_signal_to_symbol_string | ( | enum gdb_signal | sig | ) |

Definition at line 59 of file signals.c.

References gdb_assert, GDB_SIGNAL_FIRST, and signals.